<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <title>ChatBot App</title>
    <style>
        div.msg {
            background-color: #ddd;
            padding: 5px 10px;
            border-radius: 10px;
            color: #555;
            margin-bottom: 5px;
        }
    </style>

    <!-- Bootstrap -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@3.4.1/dist/css/bootstrap.min.css" integrity="sha384-HSMxcRTRxnN+Bdg0JdbxYKrThecOKuH5zCYotlSAcp1+c8xmyTe9GYg1l9a69psu" crossorigin="anonymous">

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://cdn.jsdelivr.net/npm/html5shiv@3.7.3/dist/html5shiv.min.js"></script>
      <script src="https://cdn.jsdelivr.net/npm/respond.js@1.4.2/dest/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    
      <div class="container-fluid">
          <div class="well text-center">
              <h4>ChatBot App</h4>
          </div>
          <div class="col-sm-8">
              <div>
                  <div class="msg-wrapper"></div>
              </div>
              <div>
                  <form action="" method="POST">
                      <div class="form-group">
                        <input type="text" class="message form-control" id="message" placeholder="Message">
                      </div>
                      <button type="submit" class="btn btn-success">Send <span class="glyphicon glyphicon-send"></span></button>
                  </form>
              </div>
          </div>
      </div>


    <!-- jQuery (ncessary for Bootstrap's JavaScript plugins) -->
    <script src="https://code.jquery.com/jquery-1.12.4.min.js" integrity="sha384-nvAa0+6Qg9clwYCGGPpDQLVpLNn0fRaROjHqs13t4Ggj3Ez50XnGQqc/r8MhnRDZ" crossorigin="anonymous"></script>
    <!-- Include all compiled plugins (below), or include individual files as needed -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@3.4.1/dist/js/bootstrap.min.js" integrity="sha384-aJ21OjlMXNL5UyIl/XNwTMqvzeRMZH2w8c5cRVpzpU8Y5bApTppSuUkhZXN0VxHd" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/4.4.1/socket.io.min.js"></script>
        
    <script>
        var socket = io.connect('http://localhost:5000/');
        // handle on connected 
        socket.on('connect', function() {
                    console.log('on connected');
                })
        var form = $('form').on('submit', function(e) {
                    e.preventDefault();
                    var message = $('input.message').val();
                    $('div.msg-wrapper').append('<div class="msg"><b>user:</b> '+message+'</div>');
                    socket.send(message);
                    $('input.message').val('').focus();

                })
        // handle the response 
        socket.on('message', function(response){
                    console.log(response)
                    $('div.msg-wrapper').append('<div class="msg"><b>bot:</b> '+response+'</div>');
                })
    </script>
  </body>
</html>
